%define dist_version 1_3_1

Name: javamail
Version: 1.3.1
Release: alt2

Summary: The JavaMail API
Group: Development/Java
License: Sun Binary Code License
Url: http://java.sun.com/products/javamail/

%define javadir		%_datadir/java
%define javadocdir	%_datadir/javadoc

Requires: jaf

Source0: %name-%dist_version.zip

BuildArch: noarch

BuildRequires: unzip

%description
The JavaMail(TM) 1.3 API provides a set of abstract classes that model a
mail system. The API provides a platform independent and protocol
independent framework to build Java technology-based mail and messaging
applications. The JavaMail(TM) API is implemented as a Java platform
optional package and is also available as part of the Java 2 platform,
Enterprise Edition. Sun provides a royalty-free reference
implementation, in binary form, that developers will be able to use and
ship.

%package manual
Summary: Manual for %name
Group: Development/Java

%description manual
Documentation for JavaMail(TM) APIs.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java

%description javadoc
Javadoc-generated documentation for JavaMail(TM) APIs.

%package demo
Summary: Demo for %name
Requires: %name = %version-%release
Group: Development/Java

%description demo
Demonstrations and samples for JavaMail(TM) APIs.

%package monolithic
Summary: All %name in one monolithic jar
Group: Development/Java

%description monolithic
This package features all Javamail functionality
gathered in one monolithic jar.

%prep
%setup -q
# fix files perms
#chmod -R go=u-w *

%install
# jars
mkdir -p $RPM_BUILD_ROOT%javadir
install -p -m644 mail.jar $RPM_BUILD_ROOT%javadir/mail.jar
install -d -m755 $RPM_BUILD_ROOT%javadir/%name
install -p -m644 lib/*.jar $RPM_BUILD_ROOT%javadir/%name/
# javadoc
install -d -m755 $RPM_BUILD_ROOT%javadocdir/%name
cp -a docs/javadocs/* $RPM_BUILD_ROOT%javadocdir/%name
# data
install -d -m755 $RPM_BUILD_ROOT%_datadir/%name
cp -a demo $RPM_BUILD_ROOT%_datadir/%name

%files
%doc *.txt
%javadir/%name

%files manual
%doc docs/JavaMail-* docs/Providers*

%files javadoc
%javadocdir/%name

%files demo
%_datadir/%name

%files monolithic
%javadir/mail.jar

%changelog
* Fri Dec 19 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.1-alt2
- Added unzip to BuildRequires

* Wed Sep 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.1-alt1
- Ported to Sisyphus from JPackage
